#!/bin/sh
set -e

SOURCE_DIR=$(realpath $(dirname "${0}"))/basic-runtimes

# Build basic Alpine image
mkdir -p /var/lib/lxc/build/alpine
wget https://github.com/gliderlabs/docker-alpine/raw/2bfe6510ee31d86cfeb2f37587f4cf866f28ffbc/versions/library-3.8/x86_64/rootfs.tar.xz -O - | tar xJf - -C /var/lib/lxc/build/rootfs
cp ${SOURCE_DIR}/var/lib/lxc/build/config /var/lib/lxc/build/config
lxc-execute -n build -- /bin/sh -c 'apk --no-cache add s6'

# Build Docker images
docker build -t java ${SOURCE_DIR}/java
docker build -t php ${SOURCE_DIR}/php
docker build -t python2 ${SOURCE_DIR}/python2
docker build -t python3 ${SOURCE_DIR}/python3
docker build -t ruby ${SOURCE_DIR}/ruby
docker build -t tomcat ${SOURCE_DIR}/tomcat
